commit 8ddd91f031b2a49fd32b7c6a2e42ef0e44d9919b
parent 36d41c89cdf2c90e652ba32192cefbf5b4a3704c
Author: Szymon Mikulicz <szymon.mikulicz@posteo.net>
Date: Mon, 25 May 2026 21:44:05 +0200
Some new changes
Diffstat:
7 files changed, 34 insertions(+), 31 deletions(-)
diff --git a/mlterm/.mlterm/main b/mlterm/.mlterm/main
@@ -1,5 +1,5 @@
use_multi_column_char = true
-mod_meta_mode=esc
+mod_meta_mode = esc
use_ot_layout = true
use_combining = true
use_anti_alias = true
@@ -7,7 +7,7 @@ use_scrollbar = false
depth = 32
vt_color_mode = true
alpha = 200
-termtype = xterm-256color
+termtype = mlterm-256color
borderless = true
use_variable_column_width = true
fontsize = 11
diff --git a/mpd/.config/mpd/mpd.conf b/mpd/.config/mpd/mpd.conf
@@ -48,7 +48,7 @@ log_file "$XDG_CACHE_HOME/mpd/log"
#
# If you use systemd, do not configure a pid_file.
#
-pid_file "$XDG_RUNTIME_DIR/mpd/mpd.pid"
+pid_file "$XDG_RUNTIME_DIR/mpd.pid"
#pid_file "~/.mpd/pid"
# This setting sets the location of the file which contains information about
diff --git a/scripts/.local/bin/withenv b/scripts/.local/bin/withenv
@@ -11,7 +11,7 @@ fifo="$(mktemp -d)/fifo"
mkfifo "$fifo"
(
envsubst < "$ENVFILE" | tr '\n' '\0'
- printf "%s\0" "$@"
+ [ "$#" -gt 0 ] && printf "%s\0" "$@"
rm -rf "$(dirname "$fifo")"
) >> "$fifo" &
diff --git a/sway/.config/sway/config b/sway/.config/sway/config
@@ -1,5 +1,7 @@
# vim: filetype=i3config
include /etc/sway/config.d/*
+include ~/.config/sway/config.d/*
+exec_always ~/.config/sway/isfx && xargs -a ~/.config/sway/fxconfig -i swaymsg '{}'
set $mod Mod4
@@ -7,7 +9,7 @@ font pango:Tamsyn 10
floating_modifier $mod
-bindsym $mod+Return exec mlterm-wl
+bindsym $mod+Return exec exec mlterm-wl
bindsym $mod+Shift+q kill
@@ -149,10 +151,8 @@ input type:touchpad {
tap enabled
}
-output LVDS-1 resolution 1366x768 position 0,0 scale 1
-
# Change wallpaper
-bindsym $mod+p exec randpaper
+bindsym $mod+p exec exec randpaper
# Take screenshot
bindsym $mod+Shift+s exec grim -g "$(slurp)" - | wl-copy
@@ -171,10 +171,10 @@ for_window [instance="^matplotlib$"] floating enable
for_window [app_id="com.sub.tui"] floating enable
for_window [app_id="upplay"] floating enable
-exec awww-daemon
+exec exec awww-daemon
exec sleep 30m && randpaper --daemon
-exec mako
-exec wlsunset -l 50.049683 -L 19.944544
+exec exec mako
+exec exec wlsunset -l 50.049683 -L 19.944544
bar {
font pango:Powerline Symbols, DejaVu Sans Mono, FontAwesome 10
@@ -191,7 +191,7 @@ bar {
}
}
-exec swayidle \
+exec exec swayidle \
timeout 300 'sys lock' \
timeout 600 'swaymsg "output * dpms off"' \
resume 'swaymsg "output * dpms on"' \
@@ -200,7 +200,7 @@ exec swayidle \
exec dbus-update-activation-environment --systemd WAYLAND_DISPLAY XDG_CURRENT_DESKTOP=sway
-exec nm-applet
+exec exec nm-applet
for_window [app_id="firefox"] inhibit_idle fullscreen
for_window [app_id="mpv"] inhibit_idle fullscreen
diff --git a/sway/.config/sway/fxconfig b/sway/.config/sway/fxconfig
@@ -0,0 +1,2 @@
+# Swayfx additional config
+corner_radius 8
diff --git a/sway/.config/sway/isfx b/sway/.config/sway/isfx
@@ -0,0 +1,9 @@
+#!/bin/sh
+[ -z "$SWAYSOCK" ] && {
+ echo "Not sway"
+ exit 2
+}
+SWAY_PID="$(lsof -Ua "$SWAYSOCK" | awk '{if ($11 == "(LISTEN)") {print $2; exit}}')"
+SWAY="$(/proc/$SWAY_PID/exe --version | cut -d' ' -f1)"
+echo "Running $SWAY"
+[ "$SWAY" = swayfx ] && exit 0 || exit 1
diff --git a/upmpdcli/.config/upmpdcli/upmpdcli.conf b/upmpdcli/.config/upmpdcli/upmpdcli.conf
@@ -1,20 +1,12 @@
-pkgdatadir = /home/szymon/.usr/local/share/upmpdcli
-pidfile = /run/user/1000/upmpdcli/upmpdcli.pid
-iconpath = /home/szymon/.usr/local/share/upmpdcli/icon.png
-cachedir = /home/szymon/.cache/upmpdcli
-presentationhtml = /home/szymon/.usr/local/share/upmpdcli/presentation.html
+pkgdatadir = ${HOME}/.usr/local/share/upmpdcli
+pidfile = /run/user/${UID}/upmpdcli/upmpdcli.pid
+iconpath = ${HOME}/.usr/local/share/upmpdcli/icon.png
+cachedir = ${HOME}/.cache/upmpdcli
+presentationhtml = $HOME/.usr/local/share/upmpdcli/presentation.html
-upnpip = 192.168.1.33
-friendlyname = UpMpdCli (OpenHome)
-avfriendlyname = UpMpdCli
-ohproductroom = UpMpdCli (OpenHome)
-msfriendlyname = UpMpdCli
-upnpav = 1
+friendlyname = ${HOST} (OpenHome)
+avfriendlyname = ${HOST}
+ohproductroom = ${HOST} (OpenHome)
+msfriendlyname = ${HOST}
+upnpav = 0
openhome = 1
-
-subsonicautostart = 1
-subsonicbaseurl = https://navidrome.at.home
-subsonicport = 443
-subsonicuser = admin
-subsonicpassword = admin
-subsonicserversidescrobbling = 1